package Colecao;

import java.sql.Connection;
import java.sql.DatabaseMetaData;
import java.sql.DriverManager;
import java.sql.SQLException;
import Base.*;
import Excecoes.Excecao;

public class Colecao{
	
		private Connection con;
		private ColecaoUsuario colecao_usuario;
		private ColecaoCliente colecao_cliente;
		private ColecaoFornecedor colecao_fornecedor;
		private ColecaoPeca colecao_peca;
		
		
		public Colecao()throws Excecao{
			
			try {
				this.connectToDB();
			} catch (ClassNotFoundException e) {
				Excecao e1 = new Excecao(e.getMessage());
				throw e1;
			} catch (SQLException e) {
				Excecao e1 = new Excecao(e.getMessage());
				throw e1;
			}
			colecao_usuario = new ColecaoUsuario(this);
			colecao_cliente = new ColecaoCliente(this);
			colecao_fornecedor = new ColecaoFornecedor(this);
			colecao_peca = new ColecaoPeca(this);  
		}
		
		public void connectToDB() throws ClassNotFoundException, SQLException {
			String url = "jdbc:oracle:thin:@localhost:5000:dbdisc";
			Class.forName("oracle.jdbc.driver.OracleDriver");
			con = DriverManager.getConnection(url, "g082if682_eq03", "2ess06");
			DatabaseMetaData dma = con.getMetaData ();
			System.out.println("\nConnected to " + dma.getURL());
			System.out.println("Driver " + dma.getDriverName());
			System.out.println("Version " + dma.getDriverVersion());
			System.out.println("");
		}
		
		public Connection getConexao(){
			return this.con;
		}
		public ColecaoCliente getColecaoCliente(){
			return this.colecao_cliente;
		}
		public ColecaoFornecedor getColecaoFornecedor(){
			return this.colecao_fornecedor;
		}
		public ColecaoPeca getColecaoPeca(){
			return this.colecao_peca;
		}
		public ColecaoUsuario getColecaoUsuario(){
			return this.colecao_usuario;
		}
		
		/*public static void main (String args []){	 
				try {
					Colecao teste = new Colecao();
					Usuario a;
					Peca p;
					Fornecedor f;
					//TESTE USUARIO
					a = teste.colecao_usuario.consulta("rpr2");
					/*System.out.println("Bairro de Perazzo = " + a.getEndereco().getBairro());
					
					a = new Usuario("rfp","opa","renan", "06373371409",a.getEndereco(),"33412782", "20/11/87",0);
					teste.colecao_usuario.inserir(a);
					
					a = teste.colecao_usuario.consulta("rfp");
					System.out.println("nome de renan = " + a.getNome());
					
					if(teste.colecao_usuario.existe("rfp")){
						System.out.println("Ok Renan Esta no Banco de dados\n");
						}
					else {
						System.out.println("Not Ok Renan No Esta no Banco de dados\n");
					}
					
					a = new Usuario("rfp","opa","renanFerraz", "06373371409",a.getEndereco(),"33412782", "20/11/87",0);
					
					teste.colecao_usuario.atualizar(a);
					
					a = teste.colecao_usuario.consulta("rfp");
					System.out.println("nome de renanFerraz = " + a.getNome());
					
					//teste.colecao_usuario.remover("rfp");
					
					if(teste.colecao_usuario.existe("rfp")){
						System.out.println("Not Ok Renan Esta no Banco de dados\n");
						}
					else {
						System.out.println("Ok Renan No Esta no Banco de dados\n");
					}
					
					//TESTE CLIENTE
					
					p = new Peca("002121", "nome" , "Estante", 32 , 0.99);
					
					teste.colecao_peca.inserir(p);
					
					teste.colecao_peca.comprar("002121","1234567891234",20,199.32);
					
					teste.colecao_peca.vender("002121","0887894561230",30);
					
					
					//TESTE FORNECEDOR
					
					f = new Fornecedor("Vendedor de Pipoca", "012345678910", a.getEndereco(),"0123", "oxe");
					
					teste.colecao_fornecedor.inserir(f);
					
					//teste.colecao_fornecedor.comprar("002121","1234567891234",20,199.32);
					
					//teste.colecao_peca.vender("002121","0887894561230",30);
					
					//TESTE 
					
//					p = teste.colecao_peca.consulta("000001");
					
	//				System.out.println(p.getPreco());
				} catch (Excecao e) {
					// TODO Auto-generated catch block
					System.out.println(e.getMensagem());
				} catch (ClassNotFoundException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				} catch (SQLException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				

			
		}*/

}
