package Colecao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import oracle.jdbc.driver.OracleResultSet; 
import Base.*; 
import Excecoes.Excecao;

public class ColecaoCliente {
	
	Connection con;
	
	public ColecaoCliente(Colecao col){
		this.con = col.getConexao();
	}
	
	public boolean existe(String cpf_cnpj)throws Excecao{
		boolean retorno = false;
		PreparedStatement stmt;
		OracleResultSet rset; 
		try {
			stmt = con.prepareStatement("select * from cliente_tab where cpf_cnpj = ?");
			stmt.setString(1, cpf_cnpj);
			rset = (OracleResultSet) stmt.executeQuery();
			retorno = rset.next();
			stmt.close();
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo existe Class ColecaoCliente\n" + e.getMessage());
			throw excecao;
		}
		return retorno;
	}
	
	public void inserir(Cliente cliente)throws Excecao{
		PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("insert into cliente_tab values(?,?,tipo_endereco(?,?,?,?,?),?,?)");
			stmt.setString(1, cliente.getNome());
			stmt.setString(2, cliente.getCpf_cnpj());
			stmt.setString(3,(cliente.getEndereco()).getCidade());
			stmt.setString(4,(cliente.getEndereco()).getBairro());
			stmt.setString(5,(cliente.getEndereco()).getRua());
			stmt.setString(6,(cliente.getEndereco()).getNumero());
			stmt.setString(7,(cliente.getEndereco()).getCep());
			stmt.setString(8, cliente.getTelefone());
			stmt.setString(9, cliente.getDataNasc());
			stmt.execute();
			stmt.close();
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo inserir Class ColecaoCliente\n" + e.getMessage());
			throw excecao;
		}
	}
	
	public void remover(String cpf_cnpj) throws Excecao{
		PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("delete from cliente_tab where cpf_cnpj = ?");
			stmt.setString(1, cpf_cnpj);
			stmt.execute();
			stmt.close();
		} catch (SQLException e) {
			Excecao  excecao = new Excecao ("SQLException Metodo remover Class ColecaoCliente\n" + e.getMessage());
			throw excecao;
		}
	}
	
	public void atualizar(Cliente cliente)throws Excecao {
	        PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("update cliente_tab set nome = ?, endereco = tipo_endereco(?,?,?,?,?),telefone = ?, data_Nasc = ? where cpf_cnpj = ?");
			stmt.setString(1, cliente.getNome());
			stmt.setString(2,(cliente.getEndereco()).getCidade());
			stmt.setString(3,(cliente.getEndereco()).getBairro());   
			stmt.setString(4,(cliente.getEndereco()).getRua());
			stmt.setString(5,(cliente.getEndereco()).getNumero());
			stmt.setString(6,(cliente.getEndereco()).getCep());
			stmt.setString(7, cliente.getTelefone());
			stmt.setString(8, cliente.getDataNasc());
            stmt.setString(9, cliente.getCpf_cnpj());
			stmt.execute();
			stmt.close();
		} catch (SQLException e) {
			Excecao  excecao = new Excecao ("SQLException Metodo atualizar Class ColecaoCliente\n" + e.getMessage());
			throw excecao;
		}
	}

	public Cliente consulta(String cpf_cnpj) throws Excecao{
		Cliente cliente;
		Endereco endereco;
		PreparedStatement stmt;	
		PreparedStatement stmt2;
		OracleResultSet rset;
		OracleResultSet rset2;
		try {
			stmt = con.prepareStatement("select * from cliente_tab where cpf_cnpj = ?");
			stmt.setString(1, cpf_cnpj);
			rset = (OracleResultSet) stmt.executeQuery();
			rset.next();
			
			stmt2 = con.prepareStatement("select endereco from cliente_tab t where cpf_cnpj = ?");
			stmt2.setString(1, cpf_cnpj);
			rset2 = (OracleResultSet) stmt2.executeQuery();
			rset2.next();
			
			oracle.sql.STRUCT oracleSTRUCT= rset2.getSTRUCT(1);
			oracle.sql.Datum[] attrs = oracleSTRUCT.getOracleAttributes();
			
			endereco = new Endereco(attrs[0].stringValue(),attrs[1].stringValue(),attrs[2].stringValue(),attrs[3].stringValue(),attrs[4].stringValue());
			
			cliente = new Cliente(rset.getString("nome"),rset.getString("cpf_cnpj"),endereco,rset.getString("telefone"),rset.getString("data_nasc"));
			
			stmt.close();
			stmt2.close();
			
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo consulta Class ColecaoCliente\n" + e.getMessage());
			throw excecao;
		}
		return cliente;
	}
}
