package Colecao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import oracle.jdbc.driver.OracleResultSet;
import Base.*;
import Excecoes.*;


public class ColecaoFornecedor {

	Connection con;
	public ColecaoFornecedor(Colecao col){
		this.con = col.getConexao();
	}
	
	public boolean existe(String cnpj)throws Excecao{
		boolean retorno = false;
		PreparedStatement stmt;
		OracleResultSet rset;
		try {
			stmt = con.prepareStatement("select * from fornecedor_tab where cnpj = ?");
			stmt.setString(1, cnpj);
			rset = (OracleResultSet) stmt.executeQuery();
			retorno = rset.next();
			stmt.close();
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo existe Class ColecaoForncedor\n" + e.getMessage());
			throw excecao;
		}
		return retorno;
	}
	
	public void inserir(Fornecedor fornecedor)throws Excecao{
		PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("insert into fornecedor_tab values(?,?,tipo_endereco(?,?,?,?,?),?,?)");
			stmt.setString(1, fornecedor.getNome());
			stmt.setString(2, fornecedor.getCnpj());
			stmt.setString(3, (fornecedor.getEndereco()).getCidade());
			stmt.setString(4, (fornecedor.getEndereco()).getBairro());
			stmt.setString(5, (fornecedor.getEndereco()).getRua());
			stmt.setString(6, (fornecedor.getEndereco()).getNumero());
			stmt.setString(7,(fornecedor.getEndereco()).getCep());
			stmt.setString(8,fornecedor.getTelefone());
			stmt.setString(9,fornecedor.getMarca());
			stmt.execute();
			stmt.close();
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo inserir Class ColecaoFornecedor\n" + e.getMessage());
			throw excecao;
		}
	}
	
	public void remover(String cnpj) throws Excecao{
		PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("delete from fornecedor_tab where cnpj = ?");
			stmt.setString(1, cnpj);
			stmt.execute();
			stmt.close();
		} catch (SQLException e) {
			Excecao  excecao = new Excecao ("SQLException Metodo remover Class ColecaoFornecedor\n" + e.getMessage());
			throw excecao;
		}
	}
	
	public void atualizar(Fornecedor fornecedor)throws Excecao {
		PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("update fornecedor_tab set nome = ?, endereco = tipo_endereco(?,?,?,?,?),telefone = ?, marca = ? where cnpj = ?");
			stmt.setString(1, fornecedor.getNome());
			stmt.setString(2,(fornecedor.getEndereco()).getCidade());
			stmt.setString(3,(fornecedor.getEndereco()).getBairro());
			stmt.setString(4,(fornecedor.getEndereco()).getRua());
			stmt.setString(5,(fornecedor.getEndereco()).getNumero());
			stmt.setString(6,(fornecedor.getEndereco()).getCep());
			stmt.setString(7, fornecedor.getTelefone());
			stmt.setString(8, fornecedor.getMarca());
            stmt.setString(9, fornecedor.getCnpj());
			stmt.execute();
			stmt.close();
		} catch (SQLException e) {
			Excecao  excecao = new Excecao ("SQLException Metodo atualizar Class ColecaoFornecedor\n" + e.getMessage());
			throw excecao;
		}
	}
	
	public Fornecedor consulta(String cnpj) throws Excecao{
		Fornecedor fornecedor;
		Endereco endereco;
		PreparedStatement stmt;	
		PreparedStatement stmt2;
		OracleResultSet rset;

		OracleResultSet rset2;
		try {
			stmt = con.prepareStatement("select * from fornecedor_tab where cnpj = ?");
			stmt.setString(1, cnpj);
			rset = (OracleResultSet) stmt.executeQuery();
			rset.next();
			
			stmt2 = con.prepareStatement("select endereco from fornecedor_tab t where cnpj = ?");
			stmt2.setString(1, cnpj);
			rset2 = (OracleResultSet) stmt2.executeQuery();
			rset2.next();
			
			oracle.sql.STRUCT oracleSTRUCT = rset2.getSTRUCT(1);
			oracle.sql.Datum[] attrs = oracleSTRUCT.getOracleAttributes();
			
			endereco = new Endereco(attrs[0].stringValue(),attrs[1].stringValue(),attrs[2].stringValue(),attrs[3].stringValue(),attrs[4].stringValue());
			
			fornecedor = new Fornecedor(rset.getString("nome"),rset.getString("cnpj"),
					endereco,rset.getString("telefone"),rset.getString("marca"));
			
			stmt.close();
			stmt2.close();
			
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo existe Class ColecaoFornecedor\n" + e.getMessage());
			throw excecao;
		}
		return fornecedor;
	}
}
