package Colecao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import oracle.jdbc.driver.OracleResultSet;
import Base.Endereco;
import Base.Usuario;
import Excecoes.Excecao;

public class ColecaoUsuario {
	
	private Connection con;

	public ColecaoUsuario(Colecao col){
		this.con = col.getConexao();
		}
	
	public boolean existe(String login)throws Excecao{
		boolean retorno = false;
		PreparedStatement stmt;
		OracleResultSet rset;
		try {
			stmt = con.prepareStatement("select * from usuario_tab where login = ?");
			stmt.setString(1, login);
			rset = (OracleResultSet) stmt.executeQuery();
			retorno = rset.next();
			stmt.close();
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo existe Class ColecaoUsuario\n" + e.getMessage());
			throw excecao;
		}
		return retorno;
	}
	
	public void inserir(Usuario usuario)throws Excecao{
		PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("insert into usuario_tab values(?,?,?,?,?,?,?,tipo_endereco(?,?,?,?,?))");
			stmt.setString(1, usuario.getLogin());
			stmt.setString(2, usuario.getSenha());
			stmt.setString(3, usuario.getNome()); 
			stmt.setString(4, usuario.getCpf());
			stmt.setString(5, usuario.getTelefone());
			stmt.setString(6, usuario.getDataNasc());
                        stmt.setInt(7, usuario.getTipo());
			stmt.setString(8,(usuario.getEndereco()).getCidade());
			stmt.setString(9,(usuario.getEndereco()).getBairro());
			stmt.setString(10,(usuario.getEndereco()).getRua());
			stmt.setString(11,(usuario.getEndereco()).getNumero());
			stmt.setString(12,(usuario.getEndereco()).getCep());
			stmt.execute();
			stmt.close();
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo inserirUsuario Class ColecaoUsuario\n" + e.getMessage());
			throw excecao;
		}
	}
	
	public void remover(String login) throws Excecao{
		PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("delete from usuario_tab where login = ?");
			stmt.setString(1, login);
			stmt.execute();
			stmt.close();
		} catch (SQLException e) {
			Excecao  excecao = new Excecao ("SQLException Metodo remover Class ColecaoUsuario\n" + e.getMessage());
			throw excecao;
		}
	}
	
	public void atualizar(Usuario usuario)throws Excecao {
	        PreparedStatement stmt;
		try {
			stmt = con.prepareStatement("update usuario_tab set nome = ?, senha = ?,tipo = ?, endereco = tipo_endereco(?,?,?,?,?),telefone = ?, data_Nasc = ? where login = ?");
			stmt.setString(1, usuario.getNome());
			stmt.setString(2, usuario.getSenha());
			stmt.setInt(3, usuario.getTipo());
			stmt.setString(4,(usuario.getEndereco()).getCidade());
			stmt.setString(5,(usuario.getEndereco()).getBairro());
			stmt.setString(6,(usuario.getEndereco()).getRua());
			stmt.setString(7,(usuario.getEndereco()).getNumero());
			stmt.setString(8,(usuario.getEndereco()).getCep());
			stmt.setString(9, usuario.getTelefone());
			stmt.setString(10, usuario.getDataNasc());
			stmt.setString(11, usuario.getLogin());
			stmt.execute();
			stmt.close();
		} catch (SQLException e) {
			Excecao  excecao = new Excecao ("SQLException Metodo atualizar Class ColecaoUsuario\n" + e.getMessage());
   			throw excecao;   
		}
	}
	
	public Usuario consulta(String login) throws Excecao{
		Usuario usuario = null;
		Endereco endereco;
		PreparedStatement stmt;		
		PreparedStatement stmt2;	
		OracleResultSet rset;
		OracleResultSet rset2;
		try {
			stmt = con.prepareStatement("select * from usuario_tab where login = ?");
			stmt.setString(1, login);
			rset = (OracleResultSet) stmt.executeQuery();
			rset.next();
			
			stmt2 = con.prepareStatement("select endereco from usuario_tab t where login = ?");
			stmt2.setString(1, login);
			rset2 = (OracleResultSet) stmt2.executeQuery();
			rset2.next();
			
			oracle.sql.STRUCT oracleSTRUCT= rset2.getSTRUCT(1);
			oracle.sql.Datum[] attrs = oracleSTRUCT.getOracleAttributes();
			
			endereco = new Endereco(attrs[0].stringValue(),attrs[1].stringValue(),attrs[2].stringValue(),attrs[3].stringValue(),attrs[4].stringValue());
			
			usuario = new Usuario(rset.getString("login"),rset.getString("senha"),
					rset.getString("nome"),rset.getString("cpf"),endereco,rset.getString("telefone"),
					rset.getString("data_nasc"),rset.getInt("tipo"));
			
			stmt.close();
			stmt2.close();
			
		} catch (SQLException e){
			Excecao  excecao = new Excecao ("SQLExecption  Metodo consulta Class ColecaoUsuario\n" + e.getMessage());
			throw excecao;
		}
		return usuario;
	}

}
	
	
	

	
