package Negocio;

import Base.Cliente;
import Base.Endereco;
import Colecao.Colecao;
import Colecao.ColecaoCliente;
import Colecao.ColecaoUsuario;
import Excecoes.Excecao;

public class NegocioCliente {
	
	private ColecaoCliente colecao_cliente;
	
	public NegocioCliente(Colecao colecao){
		this.colecao_cliente = colecao.getColecaoCliente();
	}
	
        protected boolean existe(String cpf_cnpj) throws Excecao{
            return this.colecao_cliente.existe(cpf_cnpj);
        }
	public void cadastrarCliente(String nome, String cpf_cnpj, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String data_nasc) throws Excecao{
		
		if(!this.colecao_cliente.existe(cpf_cnpj)){
			Endereco endereco = new Endereco(cidade, bairro, rua, numero, cep);
			Cliente cliente = new Cliente(nome, cpf_cnpj, endereco, telefone, data_nasc);
			this.colecao_cliente.inserir(cliente);
		}
		else{
			throw new Excecao("Cliente ja existe.");
		}
	}
	
	public void removerCliente(String cpf_cnpj) throws Excecao{
		if(this.colecao_cliente.existe(cpf_cnpj)){
			this.colecao_cliente.remover(cpf_cnpj);
		}
		else{
			throw new Excecao("Cliente nao existe." );
		}
	}
	
	public void atualizarCliente(String nome, String cpf_cnpj, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String data_nasc) throws Excecao{
		
		if(this.colecao_cliente.existe(cpf_cnpj)){
			Endereco endereco = new Endereco(cidade, bairro, rua, numero, cep);
			Cliente cliente = new Cliente(nome, cpf_cnpj, endereco, telefone, data_nasc);
			this.colecao_cliente.atualizar(cliente);
		}
		else{
			throw new Excecao("Cliente nao existe.");
		}
	}
	
	public Cliente consultarCliente(String cpf_cnpj) throws Excecao{
		if(!this.colecao_cliente.existe(cpf_cnpj)){
			throw new Excecao("Cliente nao existe");
		}
		else{
			return this.colecao_cliente.consulta(cpf_cnpj);
		}
	}
	
}
