package Negocio;

import Base.Endereco;
import Base.Fornecedor;
import Colecao.Colecao;
import Colecao.ColecaoFornecedor;
import Excecoes.Excecao;

public class NegocioFornecedor {
	
	private ColecaoFornecedor colecao_fornecedor;
	
	public NegocioFornecedor(Colecao colecao){
		this.colecao_fornecedor = colecao.getColecaoFornecedor();
	}
	
        protected boolean existe(String cnpj) throws Excecao{
            return this.colecao_fornecedor.existe(cnpj);
        } 
	public void cadastrarFornecedor(String nome, String cnpj, String cidade, String bairro, String rua, String numero, String cep, String telefone,
		String marca) throws Excecao{

		
		if(!this.colecao_fornecedor.existe(cnpj)){
			Endereco endereco = new Endereco(cidade, bairro, rua, numero, cep);
			Fornecedor fornecedor = new Fornecedor(nome, cnpj, endereco, telefone, marca);
			this.colecao_fornecedor.inserir(fornecedor);
		}
		else{
			throw new Excecao("Fornecedor ja existe.");
	}
	}
	
	public void removerFornecedor(String cnpj) throws Excecao{
		if(!this.colecao_fornecedor.existe(cnpj)){
			throw new Excecao("Fornecedor nao existe.");
		}
		else{
			 this.colecao_fornecedor.remover(cnpj);
		}
		
	}
	
	public void atualizarFornecedor(String nome, String cnpj, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String marca)throws Excecao{
		if(!this.colecao_fornecedor.existe(cnpj)){
			throw new Excecao("Fornecedor nao existe");
		}
		else{
			Endereco endereco = new Endereco(cidade, bairro, rua, numero, cep);
			Fornecedor fornecedor = new Fornecedor(nome, cnpj, endereco, telefone,marca);
			this.colecao_fornecedor.atualizar(fornecedor);
		}

	}
	
	public Fornecedor consultarFornecedor(String cnpj) throws Excecao{
		if(!this.colecao_fornecedor.existe(cnpj)){
			throw new Excecao("Fornecedor nao existe");
			}
			else{
				return this.colecao_fornecedor.consulta(cnpj);
			}
		}

}
