package Negocio;

import Base.*;
import Colecao.Colecao;
import Colecao.ColecaoPeca;
import Excecoes.Excecao;

public class NegocioPeca {
	
	private ColecaoPeca colecao_peca;
	
	public NegocioPeca(Colecao colecao){
		this.colecao_peca = colecao.getColecaoPeca();
	}
	protected boolean existe(String id) throws Excecao{
            return this.colecao_peca.existe(id);
        }
        
        public void cadastrarPeca(String id, String nome, String localizacao, int quantidade, double preco) throws Excecao{
		
		if(!this.colecao_peca.existe(id)){
			
			Peca peca = new Peca(id, nome, localizacao, quantidade, preco);
			this.colecao_peca.inserir(peca);
		}
		else{
			throw new Excecao("Peca ja existe.");
		}
	}

	public void removerPeca(String id) throws Excecao{
		if(this.colecao_peca.existe(id)){
			this.colecao_peca.remover(id);
		}
		else{ 
			throw new Excecao("Peca nao existe." );
		}
	}

	public void atualizarPeca(String id, String nome, String localizacao, int quantidade, double preco) throws Excecao{
		if(this.colecao_peca.existe(id)) {
			Peca peca = new Peca(id, nome, localizacao, quantidade, preco);
			this.colecao_peca.atualizar(peca);
		}
		else{
			throw new Excecao("Peca nao existe.");
		}
	}
	
	public Peca consultarPeca(String id) throws Excecao{
		if(!this.colecao_peca.existe(id)){
			throw new Excecao("Peca nao existe.");
		}
		else{
			return this.colecao_peca.consulta(id);			
		}
	}
	
	public void comprarPeca(String id, String cnpj, int quantidade,double preco) throws Excecao{
		if(this.colecao_peca.existe(id)){
                        this.colecao_peca.comprar(id, cnpj, quantidade,preco);
		}
		else{
			throw new Excecao("Peca nao existe.");
		}
	}
	public void venderPeca(String id, String cnpj, int quantidade) throws Excecao{
		if(this.colecao_peca.existe(id)){
			if(this.colecao_peca.consulta(id).getQuantidade() >= quantidade){
				this.colecao_peca.vender(id, cnpj, quantidade);
			}
			else{
				throw new Excecao("Quantidade em estoque insuficiente para venda.");
			}
		}
		else{
			throw new Excecao("Peca nao existe.");
		}
	}
	public Compra[] consultarCompras() throws Excecao{
		return this.colecao_peca.consultarCompras();
	}
	public Venda[] consultarVendas() throws Excecao{
		return this.colecao_peca.consultarVendas();
	}
	
	public Saldo[] consultarSaldos() throws Excecao{
		return this.colecao_peca.consultarSaldos();
	}
}
