package Negocio;

import Base.Endereco;
import Base.Usuario;
import Colecao.Colecao;
import Colecao.ColecaoUsuario;
import Excecoes.Excecao;

public class NegocioUsuario {
	
	private ColecaoUsuario colecao_usuario;
	
	public NegocioUsuario(Colecao colecao){
		this.colecao_usuario = colecao.getColecaoUsuario();
	}

        protected boolean existe(String login) throws Excecao{
            return this.colecao_usuario.existe(login);
        }
	public void efetuarLogin(String login, String senha) throws Excecao{
		if(!senha.equals(this.colecao_usuario.consulta(login).getSenha())){
			throw new Excecao("A senha n�o confere.");
		}
	}
	
	public void cadastrarUsuario(String login, String senha, String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String data_nasc, int tipo) throws Excecao{
		if(this.colecao_usuario.existe(login)){
			throw new Excecao("Usu�rio j� existe.");
		}
		else{
			Endereco endereco = new Endereco(cidade, bairro, rua, numero, cep);
			Usuario usuario = new Usuario(login, senha, nome, cpf, endereco, telefone,
					data_nasc, tipo);
			this.colecao_usuario.inserir(usuario);
		}
	}
	
	public void removerUsuario(String login) throws Excecao{
		if(this.colecao_usuario.existe(login)){
			this.colecao_usuario.remover(login);
		}
		else{
			throw new Excecao("Usuario nao existe.");
		}
			
	}
	
	public void atualizarUsuario(String login, String senha, String nome, String cpf, String cidade, String bairro, String rua, String numero, String cep, String telefone,
			String data_nasc, int tipo) throws Excecao{
		if(this.colecao_usuario.existe(login)){
			Endereco endereco = new Endereco(cidade, bairro, rua, numero, cep);
			Usuario usuario = new Usuario(login, senha, nome, cpf, endereco, telefone, data_nasc, tipo);
			this.colecao_usuario.atualizar(usuario);
		}
		else{
			throw new Excecao("Usuario nao existe.");
		}

	}
	
	public Usuario consultarUsuario(String login) throws Excecao{
		if(!this.colecao_usuario.existe(login)){
			throw new Excecao("Usuario nao existe");
		}
		else{
			return this.colecao_usuario.consulta(login);
		}
	}
}
